﻿using GrapeCity.Documents.Drawing;
using GrapeCity.Documents.Html;
using GrapeCity.Documents.Imaging;
using System;
using System.Drawing;
using System.IO;

namespace HTMLImageDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            string htmlContent = File.ReadAllText(@"..\..\..\page2.html");
            using (var gchtml = new GcHtmlRenderer(htmlContent))
            {
                using (GcBitmap b = new GcBitmap())
            {
                gchtml.RenderToGcBitmap(b, new HtmlToImageFormat(true, true)
                {
                    WindowSize = new Size(414, 896), // size of browser window
                    DefaultBackgroundColor = Color.Empty, // this will be inferred from the HTML
                    MaxLeftMargin = 125,
                    MaxRightMargin = 125
                });



                b.SetDpi(300); // default resize pixel width and height is proportionate to 300DPI taken from google page found
             b.SaveAsPng("demo.png");
            }
        }



        Console.WriteLine("Hello World!");        }
    }
}
